<script>
  import { json } from "d3-fetch";
  import { onMount } from "svelte";

  import Controls from "./_design_1_controls.svelte";
  import Plot from "./_design_1_plot.svelte";

  // Load the data
  let data = null;
  onMount(async () => {
    data = await json("/data/hourly_heating_december.json");
  });

  let city = "Baltimore"; // options: "Baltimore", "Chicago", "Los Angeles"
  let scale = "per Line"; // options: "across Lines", "per Line"

  // Select city
  function selectData(c) {
    return data.filter(d => d.city == c);
  }

</script>

{#if !data}
  <p>Loading the data, please wait...</p>
{:else}
  <div>    
    <Plot data={selectData(city)} scale={scale} />
    <Controls bind:city={city} bind:scale={scale} />
    <p class="notes"> <b>Note: </b> The graph has a problem with reactivity. <br>
    To see how it works for different cities and/or scales, <br>
    it is needed to change the selection of data in the code <br>
    (lines 14 and 15 in file design_1.svelte). </p>
  </div>
{/if}

<style>
  p.notes {
    word-wrap: break-word;
  }
</style>
